'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.run = undefined;

var _execa = require('execa');

var _execa2 = _interopRequireDefault(_execa);

var _isValidPath = require('is-valid-path');

var _isValidPath2 = _interopRequireDefault(_isValidPath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isJSON = function isJSON(path) {
  return (/\.json$/.test(path)
  );
};

var run = exports.run = function run(filter, jsonPath) {
  return new Promise(function (resolve, reject) {
    if (typeof jsonPath !== 'string') {
      jsonPath = jsonPath.toString();
    }

    if (!(0, _isValidPath2.default)(jsonPath)) {
      reject(Error('Is a invalid path'));
    }

    if (!isJSON(jsonPath)) {
      reject(Error('Isn`t a JSON'));
    }

    (0, _execa2.default)('jq', [filter, jsonPath]).then(resolve).catch(reject);
  });
};